Lines 1-35
Link Here
|
1 |
--- install.sh.orig Mon Jun 28 13:44:23 2004 |
1 |
--- install.sh.orig Sun Mar 20 06:29:18 2005 |
2 |
+++ install.sh Sun Aug 22 17:16:36 2004 |
2 |
+++ install.sh Mon May 30 20:58:56 2005 |
3 |
@@ -1,8 +1,8 @@ |
3 |
@@ -1,5 +1,5 @@ |
4 |
-#!/bin/bash |
4 |
-#!/bin/bash |
5 |
-# install plugin in the standard childsplay path |
5 |
+#!/bin/sh |
6 |
+#!/bin/sh |
6 |
# install plugin in the standard childsplay path |
7 |
+# install plugin in the standard childsplay path |
|
|
8 |
|
7 |
|
9 |
PREFIX=/usr/local |
8 |
PREFIX=/usr/local |
10 |
-DESTDIR=$PREFIX/games/childsplay |
9 |
DESTDIR=$PREFIX/share/childsplay |
11 |
+DESTDIR=$PREFIX/share/childsplay |
10 |
@@ -34,24 +34,8 @@ |
12 |
|
|
|
13 |
########################################################### |
14 |
# DO NOT EDIT BEHIND THIS POINT |
15 |
@@ -11,7 +11,7 @@ |
16 |
|
17 |
# Dependency, which version of childsplay at least |
18 |
DEPEN=0.71 |
19 |
- |
20 |
+ |
21 |
set -e |
22 |
CWD=`pwd` |
23 |
|
24 |
@@ -34,23 +34,23 @@ |
25 |
echo "exit" |
11 |
echo "exit" |
26 |
exit 1 |
12 |
exit 1 |
27 |
fi |
13 |
fi |
28 |
- |
14 |
|
29 |
+ |
15 |
-echo -e "\n The path to install the soundfiles in is " |
30 |
echo -e "\n The path to install the soundfiles in is " |
16 |
-echo " $DESTDIR." |
31 |
echo " $DESTDIR." |
|
|
32 |
-echo " If you have installed childsplay in a other place, you can" |
17 |
-echo " If you have installed childsplay in a other place, you can" |
33 |
-echo " give the full path to childsplay, otherwise just hit enter" |
18 |
-echo " give the full path to childsplay, otherwise just hit enter" |
34 |
-echo " Hit enter to install in $DESTDIR, or give the full path" |
19 |
-echo " Hit enter to install in $DESTDIR, or give the full path" |
35 |
-read path |
20 |
-read path |
Lines 42-62
Link Here
|
42 |
- echo " exit" |
27 |
- echo " exit" |
43 |
- exit 1 |
28 |
- exit 1 |
44 |
- fi |
29 |
- fi |
45 |
-fi |
30 |
-fi |
46 |
+#echo " If you have installed childsplay in a other place, you can" |
|
|
47 |
+#echo " give the full path to childsplay, otherwise just hit enter" |
48 |
+#echo " Hit enter to install in $DESTDIR, or give the full path" |
49 |
+#read path |
50 |
+#if [ $path ];then |
51 |
+# if [ -e $path/install.py ];then |
52 |
+# DESTDIR=path |
53 |
+# else |
54 |
+# echo "*********** WARNING *************" |
55 |
+# echo " $path does not exists or is not the childsplay directory" |
56 |
+# echo " exit" |
57 |
+# exit 1 |
58 |
+# fi |
59 |
+#fi |
60 |
echo " Installing in $DESTDIR/Data/AlphabetSounds" |
31 |
echo " Installing in $DESTDIR/Data/AlphabetSounds" |
61 |
|
32 |
|
62 |
echo " Copy sound files" |
33 |
echo " Copy sound files" |
|
|
34 |
cp -rf $CWD/AlphabetSounds $DESTDIR/Data/ |